%define name mercury
%define fakename %{name}-compiler

Name: %{name}
Version: 0.9.1
Release: 2mdk
Summary: The logic/functional programming language Mercury
Source: ftp://ftp.csd.uu.se/pub/Mercury/%{fakename}-%{version}.tar.bz2
Patch0: mercury-force-dynamic.patch.bz2
Copyright: GPL and LGPL
Group: Development/Other
URL: http://www.cs.mu.oz.au/mercury/
BuildRoot: /tmp/%{name}-root

%description
Mercury is a modern logic/functional programming language, which combines
the clarity and expressiveness of declarative programming with advanced
static analysis and error detection features.  Its highly optimized
execution algorithm delivers efficiency far in excess of existing logic
programming systems, and close to conventional programming
systems. Mercury addresses the problems of large-scale program
development, allowing modularity, separate compilation, and numerous
optimization/time trade-offs.

This package includes the compiler, profiler, debugger, documentation, etc.
It does NOT include the "extras" distribution; that is available
from <http://www.cs.mu.oz.au/mercury/download/release.html>.

%changelog
* Sat Mar 25 2000 Pixel <pixel@mandrakesoft.com> 0.9.1-2mdk
- new group + cleanup

* Wed Feb  9 2000 Pixel <pixel@mandrakesoft.com> 0.9.1-1mdk
- new version

* Mon Dec  6 1999 Pixel <pixel@linux-mandrake.com>
- first version

%prep
%setup -n %{fakename}-%{version}
%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix /usr

if [ "$SMP" != "" ]; then
   make -j $SMP -k ||:
fi
make

%install
rm -rf $RPM_BUILD_ROOT

p=$RPM_BUILD_ROOT/usr
cat <<EOF > Mmake.params
INSTALL_PREFIX = $p
FINAL_INSTALL_PREFIX = $p
EOF

make install

rm -rf $p/lib/mercury/doc

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info \
        --info-dir=/usr/info /usr/info/mercury.info.bz2

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete \
        --info-dir=/usr/info /usr/info/mercury.info.bz2
fi

%files
%defattr(-,root,root)
/usr/bin/*
/usr/info/%{name}*
/usr/lib/%{name}
/usr/man/*/*
%doc doc/*.html
